Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.cache.jcache
Class CacheException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.cache.jcache.CacheException

public class CacheException
extends java.lang.RuntimeException

CacheException is a generic exception, which indicates a cache error has occurred. All the other cache exceptions are the subclass of this class. All the methods in the cache package only throw CacheException or the sub class of it.

See Also:
  Serialized Form

Constructor Summary
`CacheException()` Constructs a new CacheException.
`CacheException(java.lang.String s)` Constructs a new CacheException with a message string.
`CacheException(java.lang.String s, java.lang.Throwable ex)` Constructs a CacheException with a message string, and a base exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheException

    public CacheException()

  Constructs a new CacheException.

### CacheException

    public CacheException(java.lang.String s)

  Constructs a new CacheException with a message string.

### CacheException

    public CacheException(java.lang.String s,
                          java.lang.Throwable ex)

  Constructs a CacheException with a message string, and a base exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.